Macaulay2 » Documentation
Packages » Resultants :: AssumeOrdinary
next | previous | forward | backward | up | index | toc

# AssumeOrdinary -- whether the expected codimension is 1

- Usage:
    `AssumeOrdinary => true/false`

## Description

This is an option for dualVariety and tangentialChowForm that controls the option SubringLimit, used internally with kernel and gb. You can set this to true when the expected output should represent a hypersurface.

## See also

- dualVariety -- projective dual variety
- tangentialChowForm -- higher Chow forms of a projective variety

## Functions with optional argument named AssumeOrdinary:

- `dualVariety(...,AssumeOrdinary=>...)`
- `tangentialChowForm(...,AssumeOrdinary=>...)`

## For the programmer

The object AssumeOrdinary is a symbol.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Resultants.m2:1201:0.